<template>
  <nav>
    <div>
      <router-link class="link" to="/"><h1><b>H</b>ELP your Meal</h1></router-link>
    </div>

    <div v-if="!user">
      <router-link class="link" to="/login">Connexion</router-link>
      <router-link class="link" to="/register">Inscription</router-link>
      <router-link class="link" to="/about">À propos</router-link>
    </div>

    <div v-if="user">
      <a href="javascript:void(0)" @click="Click" class="link" >déconnexion</a>
    </div>

  </nav>
</template>

<script>
export default {
  name: "Nav",
  props:['user'],
  methods: {
      Click(){
          localStorage.removeItem('token')
          this.$router.push('/')
      }
  }
};
</script>

<style>

b {
  color: #1693c8;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-inline: 50px;
}

.link {
  text-transform: uppercase;
  text-decoration: none;
  color: #44474d;
  padding: 1rem;
}

.link:hover {
  text-decoration: underline;
}

.home {
  margin-right: 0.5rem;
}
</style>
